package bleble.validator;

import java.io.Serializable;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.faces.application.FacesMessage;
import javax.faces.application.ResourceDependency;

@SuppressWarnings("serial")
@FacesValidator(value = "requiredValidator")
@org.richfaces.javascript.ClientSideScript(function = "validateMandatory", resources = @ResourceDependency(name = "scripts.js", library = "js", target = "head"))
public class RequiredValidator implements Serializable, Validator {
	@Override
	public final void validate(final FacesContext context, final UIComponent component, final Object value) throws ValidatorException {
		FacesMessage message = new FacesMessage();
		message.setDetail("field is mandatory");
		message.setSummary("Validation failed: field is mandatory! (server)");
		message.setSeverity(FacesMessage.SEVERITY_ERROR);
		
		if (value == null || "".equals(value.toString().trim())) {
			throw new ValidatorException(message);
		}
	}
}
