package bleble.controller;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import org.richfaces.event.FileUploadEvent;

@SuppressWarnings("serial")
@ManagedBean(name = "upload")
@ViewScoped
public class UploadController implements Serializable {
	
	private String inputString;
	
	private File f = null;
	private String status = "Waiting for file.";
	
	public UploadController() {
		
	}

	public void uploadListener(final FileUploadEvent event) {
		System.out.println("uploading");
		String filename = event.getUploadedFile().getName();
		try {
			if (filename.contains("\\")) {
					filename = filename.substring( event.getUploadedFile().getName().lastIndexOf("\\") + 1, event.getUploadedFile().getName().length());
			}
			f = File.createTempFile(filename , "");
			FileOutputStream fos = new FileOutputStream(f);
			FileInputStream fis = (FileInputStream) event.getUploadedFile().getInputStream();

			byte buf[] = new byte[524288];
			int len;
			while ((len = fis.read(buf)) > 0) {
				fos.write(buf, 0, len);
			}
			fos.close();
			fis.close();
		} catch (IOException e1) {
			
		} finally {
			if (f != null) {
				status = "File " + f.getName() + " uploaded.";
			}
		}
	}
	
	public String getStatus() {
		return status;
	}

	public String getInputString() {
		return inputString;
	}

	public void setInputString(final String inputString) {
		this.inputString = inputString;
	}
}
